<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?= esc($appData['name']) ?></title>
    <!-- Include your CSS files so the modules are styled correctly -->
    <link rel="stylesheet" href="<?= base_url('css/app_builder.css'); ?>?v=<?= time(); ?>">
    <link rel="stylesheet" href="<?= base_url('css/modules.css'); ?>?v=<?= time(); ?>">
</head>
<body>
    <div class="loaded-app-container">
        <main class="app-modules">
            <?php if (!empty($appData['modules'])): ?>
                <?php foreach ($appData['modules'] as $module): ?>
                    <div class="module">
                        <?= view('modules/' . $module['file'], [
                            'settings'   => isset($module['settings']) ? $module['settings'] : [],
                            'instanceId' => $module['instanceId']
                        ]); ?>
                    </div>
                <?php endforeach; ?>
            <?php else: ?>
                <p>No modules found.</p>
            <?php endif; ?>
        </main>
    </div>
</body>
</html>
